summaryrefslogtreecommitdiffstats
path: root/source/n/php/php.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-01-07 01:50:00 +0000
committer Eric Hameleers <alien@slackware.com>2023-01-07 03:33:34 +0100
commit34e6259d47376c3e767368d52f9aa20eafa49951 (patch)
treebc6b66ee8a2bdb7f90d44178f020f9d1b6180a95 /source/n/php/php.SlackBuild
parentb646b608f565430ef403ed0561b83845f48ae8f8 (diff)
downloadcurrent-34e6259d47376c3e767368d52f9aa20eafa49951.tar.gz
current-34e6259d47376c3e767368d52f9aa20eafa49951.tar.xz
Sat Jan 7 01:50:00 UTC 202320230107015000
a/btrfs-progs-6.1.2-x86_64-1.txz: Upgraded. l/mozilla-nss-3.87-x86_64-1.txz: Upgraded. Fixed memory corruption in NSS via DER-encoded DSA and RSA-PSS signatures. For more information, see: https://www.mozilla.org/en-US/security/advisories/mfsa2021-51/ https://www.cve.org/CVERecord?id=CVE-2021-43527 (* Security fix *) l/nodejs-19.4.0-x86_64-1.txz: Upgraded. n/php-7.4.33-x86_64-2.txz: Rebuilt. This update fixes a security issue: PDO::quote() may return unquoted string. For more information, see: https://www.cve.org/CVERecord?id=CVE-2022-31631 (* Security fix *) extra/php80/php80-8.0.27-x86_64-1.txz: Upgraded. This update fixes a security issue: PDO::quote() may return unquoted string. For more information, see: https://www.cve.org/CVERecord?id=CVE-2022-31631 (* Security fix *) extra/php81/php81-8.1.14-x86_64-1.txz: Upgraded. This update fixes bugs and a security issue: PDO::quote() may return unquoted string. For more information, see: https://www.cve.org/CVERecord?id=CVE-2022-31631 (* Security fix *)
Diffstat (limited to '')
-rwxr-xr-xsource/n/php/php.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/source/n/php/php.SlackBuild b/source/n/php/php.SlackBuild
index c0bd2413b..7109f9586 100755
--- a/source/n/php/php.SlackBuild
+++ b/source/n/php/php.SlackBuild
@@ -3,7 +3,7 @@
# Build and package mod_php on Slackware.
# by: David Cantrell <david@slackware.com>
# Modified for PHP 4-5 by volkerdi@slackware.com
-# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2019, 2020, 2021 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2019, 2020, 2021, 2023 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=php
VERSION=${VERSION:-$(echo php-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
ALPINE=2.26
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -127,6 +127,8 @@ rm -rf php-$VERSION
tar xvf $CWD/php-$VERSION.tar.xz || exit 1
cd php-$VERSION || exit 1
+zcat $CWD/CVE-2022-31631.patch.gz | patch -p1 --verbose || exit 1
+
# cleanup:
find . -name "*.orig" -delete